<?php
session_start();
require("../../database/dbConection.php");

$ibgeMunicipio                  = $_POST['ibgeMunicipio'];
$estabelecimentoCentral         = $_POST['estabelecimentoCentral'];
$municipioExecutorSede          = $_POST['municipioExecutorSede'];
$diasAberturaPrimeiraVez        = $_POST['diasAberturaPrimeiraVez'];
$diasAberturaRetorno            = $_POST['diasAberturaRetorno'];
$diasAberturaReserva            = $_POST['diasAberturaReserva'];
$bloquearSabDomFeriado          = $_POST['bloquearSabDomFeriado'];
$bloquearPactuadoHoraInicio     = $_POST['bloquearPactuadoHoraInicio'];
$bloquearPactuadoHoraFim        = $_POST['bloquearPactuadoHoraFim'];
$solicitacaoExigeDocumentoAnexo = $_POST['solicitacaoExigeDocumentoAnexo'];
$exigirRequisicao               = $_POST['exigirRequisicao'];
$usgMaraExigeMamografia         = $_POST['usgMaraExigeMamografia'];
$mamografiaExigeFormulario      = $_POST['mamografiaExigeFormulario'];
$exigirRelatorioMedico          = $_POST['exigirRelatorioMedico'];
$analiseSolicitacoes            = $_POST['analiseSolicitacoes'];
$quemAnalisaSolicitacoes        = $_POST['quemAnalisaSolicitacoes'];
$bloqueioPorFalta               = $_POST['bloqueioPorFalta'];
$limitacaoCotas                 = $_POST['limitacaoCotas'];
$bloquearPacienteFora           = $_POST['bloquearPacienteFora'];
$idadePrioritariaFila           = $_POST['idadePrioritariaFila'];
$numeroTelefoneBot              = $_POST['numeroTelefoneBot'];
$numeroTelefoneLigacao          = $_POST['numeroTelefoneLigacao'];

$sqlAtualizaConfiguracoes = "UPDATE reg_tb_configuracoes SET
ibge_municipiogestor=:setIbgeMunicipio,
codigoestabelecimento_regulacao=:setEstabelecimentoCentral,
municipio_executorfora=:setMunicipioExecutorSede,
diasabertura_pvez=:setDiasAberturaPrimeiraVez,
diasabertura_retorno=:setDiasAberturaRetorno,
diasabertura_reserva=:setDiasAberturaReserva,
bloqueia_municipiopactuado=:setBloquearSabDomFeriado,
bloqueia_municipiopactuado_inicio=:setBloquearPactuadoHoraInicio,
bloqueia_municipiopactuado_fim=:setBloquearPactuadoHoraFim,
exigirdocumento_identificacao=:setSolicitacaoExigeDocumentoAnexo,
exigir_requisitaoapac=:setSolicitacaoExigeRequisicao,
exigirmamografia_parausgmama=:setUsgMaraExigeMamografia,
exigirformulario_mamografia=:setMamografiaExigeFormulario,
exigir_relatoriomedico=:setExigirRelatorioMedico,
solicitacao_paraanalise=:setAnaliseSolicitacoes,
quemanalisa_emergencia=:setQuemAnalisaSolicitacoes,
diasbloqueio_porfalta=:setBloqueioPorFalta,
controlar_cota=:setLimitacaoCotas,
bloqueio_pacientefora=:setBloquearPacienteFora,
idate_prioritaria_fila=:setIdadePrioritaria,
numero_telefone_bot=:setNumeroTelefoneBot,
numero_telefone_ligacao=:setNumeroTelefoneLigacao";

$stmAtualizaConfiguracoes = $rsConexao->prepare($sqlAtualizaConfiguracoes);
$stmAtualizaConfiguracoes->bindParam(":setIbgeMunicipio", $ibgeMunicipio, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setEstabelecimentoCentral", $estabelecimentoCentral, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setMunicipioExecutorSede", $municipioExecutorSede, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setDiasAberturaPrimeiraVez", $diasAberturaPrimeiraVez, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setDiasAberturaRetorno", $diasAberturaRetorno, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setDiasAberturaReserva", $diasAberturaReserva, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setBloquearSabDomFeriado", $bloquearSabDomFeriado, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setBloquearPactuadoHoraInicio", $bloquearPactuadoHoraInicio, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setBloquearPactuadoHoraFim", $bloquearPactuadoHoraFim, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setSolicitacaoExigeDocumentoAnexo", $solicitacaoExigeDocumentoAnexo, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setSolicitacaoExigeRequisicao", $exigirRequisicao, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setUsgMaraExigeMamografia", $usgMaraExigeMamografia, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setMamografiaExigeFormulario", $mamografiaExigeFormulario, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setExigirRelatorioMedico", $exigirRelatorioMedico, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setAnaliseSolicitacoes", $analiseSolicitacoes, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setQuemAnalisaSolicitacoes", $quemAnalisaSolicitacoes, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setBloqueioPorFalta", $bloqueioPorFalta, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setLimitacaoCotas", $limitacaoCotas, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setBloquearPacienteFora", $bloquearPacienteFora, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setIdadePrioritaria", $idadePrioritariaFila, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setNumeroTelefoneBot", $numeroTelefoneBot, PDO::PARAM_STR);
$stmAtualizaConfiguracoes->bindParam(":setNumeroTelefoneLigacao", $numeroTelefoneLigacao, PDO::PARAM_STR);
$stmAtualizaConfiguracoes -> execute();

?>